Master
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.porttypes
Class Master

    java.lang.Object
      GCUBEPortType
          org.gcube.dir.master.porttypes.BasePortType
              org.gcube.dir.master.porttypes.Master

    public class Master

extends BasePortType

The broker port-type of the Annotation Back-End (ABE) service. The port-type offers facilities to manage annotations of objects across a set of collection. The set is dynamically bound to the port-type as per WSRF implied state access pattern.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`Master()`

Method Summary
`VOID` | `addCollection(java.lang.String id)` Adds a collection to the bound set.
`StringArray` | `getCollectionIDs(VOID params)` Returns the identifiers of the collections in the bound set.
`java.lang.String` | `merge(ServiceInputAdapter<? extends FusionParameters> params)` Returns a reference to a resultset obtained by merging the results of a query executed against the collections in the bound set.
`ICollectionRanking` | `select(ServiceInputAdapter<? extends SelectionParameters> params)` Selects the collections in the bound set in accordance with given selection parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Master

    public Master()

Method Detail

### getCollectionIDs

    public StringArray getCollectionIDs(VOID params)
                                 throws GCUBEFault

  Returns the identifiers of the collections in the bound set.

  Parameters:
    `params` - the empty input.
  Returns:
    the identifiers.
  Throws:
    `GCUBEFault` - if the identifiers could not be returned.

### addCollection

    public VOID addCollection(java.lang.String id)
                       throws GCUBEFault

  Adds a collection to the bound set.

  Parameters:
    `the` - collection identifier.
  Returns:
    the empty output.
  Throws:
    `GCUBEFault` - if the collection could not be added.

### select

    public ICollectionRanking select(ServiceInputAdapter<? extends SelectionParameters> params)
                              throws GCUBEFault

  Selects the collections in the bound set in accordance with given selection parameters.

  Parameters:
    `the` - parameters.
  Throws:
    `GCUBEFault` - if the ranking could not be produced.

### merge

    public java.lang.String merge(ServiceInputAdapter<? extends FusionParameters> params)
                           throws GCUBEFault

  Returns a reference to a resultset obtained by merging the results of a query executed against the collections in the bound set.

  Parameters:
    `params` - the input parameters.
  Returns:
    the reference.
  Throws:
    `java.lang.Exception` - if the query results could not be merged.
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD